/*******************************************************************************
 * NxGenericForceFieldBrush generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class NxGenericForceFieldBrush extends Volume
    native(ForceField)
    placeable
    hidecategories(Navigation,Object,Movement,Display);

enum FFB_ForceFieldCoordinates
{
    FFB_CARTESIAN,
    FFB_SPHERICAL,
    FFB_CYLINDRICAL,
    FFB_TOROIDAL,
    FFB_MAX
};

var() int ExcludeChannel;
var() RBCollisionChannelContainer CollideWithChannels;
var() const PrimitiveComponent.ERBCollisionChannel RBChannel;
var() NxGenericForceFieldBrush.FFB_ForceFieldCoordinates Coordinates;
var() Vector Constant;
var() Vector PositionMultiplierX;
var() Vector PositionMultiplierY;
var() Vector PositionMultiplierZ;
var() Vector PositionTarget;
var() Vector VelocityMultiplierX;
var() Vector VelocityMultiplierY;
var() Vector VelocityMultiplierZ;
var() Vector VelocityTarget;
var() Vector Noise;
var() Vector FalloffLinear;
var() Vector FalloffQuadratic;
var() float TorusRadius;
var native const transient Pointer ForceField;
var native const transient array<Pointer> ConvexMeshes;
var native const transient array<Pointer> ExclusionShapes;
var native const transient array<Pointer> ExclusionShapePoses;
var native const transient Pointer LinearKernel;

simulated event PostBeginPlay()
{
    super.PostBeginPlay();
    // End:0x43
    if(BrushComponent != none)
    {
        bProjTarget = BrushComponent.BlockZeroExtent;
    }
    //return;    
}

simulated function bool StopsProjectile(Projectile P)
{
    return false;
    //return ReturnValue;    
}

defaultproperties
{
    ExcludeChannel=1
    CollideWithChannels=(Default=true,Nothing=false,Pawn=true,Vehicle=true,Water=true,GameplayPhysics=true,EffectPhysics=true,Untitled1=true,Untitled2=true,Untitled3=true,Untitled4=false,Cloth=true,FluidDrain=true,SoftBody=true,FracturedMeshPart=false,BlockingVolume=false,DeadPawn=false,Clothing=false,ClothingCollision=false)
    RBChannel=ERBCollisionChannel.RBCC_Untitled1
    TorusRadius=1.0
    BrushColor=(R=100,G=255,B=100,A=255)
    bColored=true
    begin object name=BrushComponent0 class=BrushComponent
        ReplacementPrimitive=none
        bDisableAllRigidBody=false
    object end
    // Reference: BrushComponent'Default__NxGenericForceFieldBrush.BrushComponent0'
    BrushComponent=BrushComponent0
    begin object name=BrushComponent0 class=BrushComponent
        ReplacementPrimitive=none
        bDisableAllRigidBody=false
    object end
    // Reference: BrushComponent'Default__NxGenericForceFieldBrush.BrushComponent0'
    Components(0)=BrushComponent0
    bStatic=false
    bProjTarget=true
    begin object name=BrushComponent0 class=BrushComponent
        ReplacementPrimitive=none
        bDisableAllRigidBody=false
    object end
    // Reference: BrushComponent'Default__NxGenericForceFieldBrush.BrushComponent0'
    CollisionComponent=BrushComponent0
    SupportedEvents=none
}